🇫🇷 Cette application n'est pas compatible avec votre téléphone

Bonjour Ă  tous!

Je rencontre un problème lors de l’installation de certaines APK. Je possède un Fairphpone2 avec Fairephone Open 19.02.1. Lorsque j’essaie d’installer, par exemple, cette APK (https://apkpure.com/les-carnets-d’escalade/nomadsystems.carnetEscalade), l’installation échoue avec ce message: “Cette application n’est pas compatible avec votre téléphone” -> OK.

J’ai testé l’installation via ADB, et le message d’erreur est le suivant:

adb install Les Carnets d'Escalade.apk
Failed to install Les Carnets d'Escalade.apk: Failure [INSTALL_FAILED_MISSING_SHARED_LIBRARY: Package couldn't be installed in /data/app/nomadsystems.carnetEscalade-1: Package nomadsystems.carnetEscalade requires unavailable shared library com.google.android.maps; failing!]

Cela veut-il dire que je ne peux pas utiliser cette application sans cette librairie com.google.android.maps?
Y a-t-il un moyen de contourner ce problème?

J’obtiens également le même résultat avec l’application Alarme-Météo (https://wetter-alarm.fr.aptoide.com/).

De plus, certaines applications, comme Navmii, affiches le message "Navmii ne fonctionnera pas sans les services Google Play, qui ne sont pas compatibles avec votre appareil. EDIT: Je supprime ce passage puisque hors de propos, sans intérêt et erroné (Il s’agit pourtant d’une application Open Source…)

Merci pour votre aide et vos prochaines réponses, pour vos pistes de réflexion ou le partage de vos problèmes similaires.

Au plaisir de vous lire!

Ciao! :wink:

Ce sont des applications qui obnt besoinde Google. Messaging, ou licalisation, par example. Come tu a vue, il y’a aussi des applications open source qui utilisen des bibliothèques google.
Faut installer opengapps, ou quitter ces applications.

(J’espère que mon français soit comprenable)

Ton français est très bien! Merci pour ta réponse!

Je vais me renseigner sur opengapps, merci pour l’info!

EDIT:
Je ne comprend pas la différence entre Open Gapps et MicroG…
Si j’ai choisi Fairphone Open, c’est justement pour ne plus avoir affaire à Google. Je n’utilise d’ailleurs presque plus les services Google. Je veux donc trouver une alternative pour installer ces applications sans vendre mon âme au diable. Y a-t-i une solussion?

Merci pour votre aide!

1 Like

Oui, c’est une autre possibilité. Microg est une open source realisation du google services. Il y’a une solution avec LOS, integrée. Probablement c’est possible aussi avec OpenOS, mais ça prend un peu de recherche, parc’que je ne sais pas comment faire (moi, j’utilise LineageOS)

Bonjour,

Sous Fairhpone Open OS il faut utiliser UnifedNLP téléchargeable sur f-droid. Par contre il y a un petit bug avec la version courante de l’OS. Je ne l’ai pas fait, mais il y a un “workaround” qui visiblement marche bien, voir ici.

J’espère que ça aide…

Merci pour votre aide!

Je vais faire des recherche et donne les résultats quand il y en aura!

Merci encore!

1 Like

Bon… J’ai suivit la procédure dont tu parles. Ca m’a complétement planté mon téléphone. J’ai été bon pour tout réinstaller…

J’abandonne… Désolé.

Merci pour votre aide et Ă  bientĂ´t!

Peut-ĂŞtre tu essaye LineageOS avec MicroG? Le thread se trouve ici: LineageOS for microG incl. UnifiedNlp vs. LineageOS + UnifiedNlp without microG

Ah ben de rien du coup… je suis vraiment désolé de lire que tu as rencontré de tels problèmes, ce n’était clairement pas l’objectif :frowning:

Salut,

Merci @lklaus pour l’information. J’avais installé Lineage il y a quelques temps, mais j’avais des plantée de temps en temps. Donc j’ai décidé de passer à Fairphone Open (qui est sur soit dit en passant!). Et je n’ai pas le courage de tout réinstaller une fois de plus… :grin:

@pyb, :rofl: En effet, objectif ratté! Je m’y attaquerais une autre fois. Pour l’instant, je n’ai pas de temps pour ces blagues.

Merci encore! Et si quelqu’un qui passe par là rencontre le même problème ou à un bout de solution, qu’il n’hésite pas à s’exprimer!